.sf-search-bar__button {
  position: absolute;
}

.sf-search-bar__input {
  &:focus {
    outline: none;
  }
}

.sf-input {
  input {
    padding-left: 5px;
    padding-right: 5px;
    padding-top: 20px;
  }

  .sf-input__label {
    margin: 5px 5px 0 5px;
  }

  input,
  .sf-input__label {
    font-size: var(--font-size--base);
  }

  &.has-text .sf-input__label,
  input:focus ~ *, {
    font-size: var(--font-size--xs);
  }
}

.sf-input input:placeholder-shown ~ * {
  font-size: var(--font-size--xs);
}
